Skip to content
中文

Omni-Image(O1)

Method: POSTEndpoint: /kling/v1/images/omni-image

This document is not updated in real time. For the full version, see the official documentation: https://app.klingai.com/cn/dev/document-api/apiReference/model/OmniImage

Request Parameters

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
model_name
string
Optional
kling-v1-5,kling-v2
Default Value:
kling-v1
prompt
string
Required
Positive text prompt. Required. Cannot exceed 500 characters.
<= 5000 characters
negative_prompt
string
Optional
Negative text prompt. Optional. Cannot exceed 200 characters.
<= 2000 characters
image
string
Optional
  // provider-specific example normalized for English documentation
image_fidelity
number
Optional
  // provider-specific example normalized for English documentation
>= 0
<= 1
n
integer
Optional
  // provider-specific example normalized for English documentation
>= 1
<= 9
aspect_ratio
enum<string>
Optional
  // provider-specific example normalized for English documentation
Enum Values:
16:9
9:16
1:1
4:3
3:4
3:2
2:3
callback_url
string
Optional
Callback URL for the task result notification. Optional.
Example
{
"model_name"
:
"kling-v1"
,
"prompt"
:
"string"
,
"negative_prompt"
:
"string"
,
"image"
:
"string"
,
"image_fidelity"
:
0
,
"n"
:
1
,
"aspect_ratio"
:
"16:9"
,
"callback_url"
:
"string"
}

Example Request

Shell

bash
curl --location --request POST '/kling/v1/images/omni-image' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model_name": "kling-v1",
    "prompt": "string",
    "negative_prompt": "string",
    "image": "string",
    "image_fidelity": 0,
    "n": 1,
    "aspect_ratio": "16:9",
    "callback_url": "string"
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
code
integer
Required
Error code. See the error-code definitions for details.
message
string
Error Message
Required
request_id
string
Required
Request ID, generated by the system for tracking and troubleshooting.
data
object
Required
task_id
string
Task ID, generated by the system.
Required
task_status
enum<string>
Required
Task status. Enum values: submitted, processing, succeed, failed.
Enum Values:
submitted (submitted)
processing (in progress)
succeed (success)
failed (failure)
created_at
integer
Required
Task creation time, Unix timestamp in milliseconds.
updated_at
integer
Required
Task update time, Unix timestamp in milliseconds.

Example

json
{
    "code": 0,
    "message": "string",
    "request_id": "string",
    "data": {
        "task_id": "string",
        "task_status": "string",
        "created_at": 0,
        "updated_at": 0
    }
}